Subject: [PWE3] once upon an erratum

From: Yaakov Stein <[email-masked]>
Date: Tue, 8 May 2012 10:59:25 +0000

Stewart and all,

RFC 4448 has an erratum marked "Held for Document Update by Stewart Bryant".
This erratum (penned by Alfred Hoenes) deals with several issues,
from a "subtle typo" to the misleading figure label.

However, there is one issue with which I agree and which I think is important;
but regarding which I don't recall discussion on the list.
With the entire group of comments marked as "held for document update" rather than as "approved",
I am not sure whether this issue has been agreed upon.

The text in question is this :
   When the PE receives an Ethernet frame, and the frame has a VLAN tag,
   we can distinguish two cases:

      1. The tag is service-delimiting.  This means that the tag was
         placed on the frame by some piece of service provider-operated
         equipment, and the tag is used by the service provider to
         distinguish the traffic.  For example, LANs from different
         customers might be attached to the same service provider
         switch, which applies VLAN tags to distinguish one customer's
         traffic from another's, and then forwards the frames to the PE.

      2. The tag is not service-delimiting.  This means that the tag was
         placed in the frame by a piece of customer equipment, and is
         not meaningful to the PE.

Alfred states that

The term, "service delimiting", apparently here is defined

by the origin of the tag, not by its function.
I understand where the original text comes from.
In the provider provisioned model the SP doesn't trust the customer to properly tag the frames,
and so doesn't look at tags inserted by CE devices.

However, other groups (e.g., MEF) assume careful prior negotiation
(of the legal kind, not the protocol kind) between customer and SP,
and so the C-tag may indeed be service delimiting.

More specifically, one can make the distinction between three "bundling" types
based on the C-tag.

*All-to-one means that all C-tags are taken as one "flow" or "EVC" or whatever,
and thus the mapping to PW is independent of this tag.
So here the C-tag is NOT service delimiting.

*One-to-one means that each C-tag is mapped to a single EVC.
So the C-tag determines the PW, and is thus service delimiting.

*Arbitrary bundling means we have a general mapping
of C-tags to EVCs (and so includes the previous two).
In general the C-tag here too is service delimiting.

(NOTE: the arbitrary and One-to-one cases are lumped together in MEF as
the "bundling" case.)

Do you agree with this analysis, and thus with the need to remove the caveat in 4448
that states that C-tags can not be service delimiting ?

Y(J)S

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 8 May 2012 11:20:10 +0000

Yaakov, Stewart and all,
I believe that 5061 effectively supports Yaakov's point of view.

My 2c,
     Sasha

From: [email-masked] [mailto:[email-masked]] On Behalf Of Yaakov Stein
Sent: Tuesday, May 08, 2012 1:59 PM
To: Stewart Bryant; [email-masked]
Subject: [PWE3] once upon an erratum

Stewart and all,

Alfred states that

Y(J)S

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 09 May 2012 11:17:38 +0100

Sasha

Do you have the correct reference? If so perhaps you could
point to the right section.

Stewart

Yaakov

I think that the purpose of the text as to say that the tag
may or may not be service delimiting, which I think is
demonstrably true.

Stewart

On 08/05/2012 12:20, Alexander Vainshtein wrote:
>
> Yaakov, Stewart and all,
>
> I believe that 5061 effectively supports Yaakov’s point of view.
>
> My 2c,
>
> Sasha
>
> *From:[email-masked] [mailto:[email-masked]] *On Behalf 
> Of *Yaakov Stein
> *Sent:* Tuesday, May 08, 2012 1:59 PM
> *To:* Stewart Bryant; [email-masked]
> *Subject:* [PWE3] once upon an erratum
>
> Stewart and all,
>
> This e-mail message is intended for the recipient only and contains 
> information which is CONFIDENTIAL and which may be proprietary to ECI 
> Telecom. If you have received this transmission in error, please 
> inform us by e-mail, phone or fax, and then delete the original and 
> all copies thereof.
>
>
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 9 May 2012 11:59:35 +0000

Stewart,
It is Section 9 of RFC 5063 (not 5061!)  that discusses service-delimiting modes and their mapping to the appropriate set of the PW attributes.

I apologize for the typo.

Regards,
     Sasha
________________________________________
From: [email-masked] [[email-masked]] on behalf of Stewart Bryant [[email-masked]]
Sent: Wednesday, May 09, 2012 12:17 PM
To: [email-masked]
Subject: Re: [PWE3] once upon an erratum

Sasha

Stewart

Yaakov

Stewart

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 9 May 2012 13:11:29 +0000

Well, actually it is 5603 ...

Y(J)S

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: Wednesday, May 09, 2012 15:00
To: [email-masked]
Cc: [email-masked]
Subject: Re: [PWE3] once upon an erratum

Stewart,

Regards,
     Sasha

Sasha

Stewart

Yaakov

Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 9 May 2012 13:14:18 +0000

Yaakov, Stewart,
Apologies again. But I hope the intention is clear...

Regards,
     Sasha

> From: Yaakov Stein [mailto:[email-masked]]
> Sent: Wednesday, May 09, 2012 4:11 PM
> To: Alexander Vainshtein; [email-masked]
> Cc: [email-masked]
> Subject: RE: [PWE3] once upon an erratum
> 
> It is Section 9 of RFC 5063 (not 5061!)  that discusses service-delimiting
> modes and their mapping to the appropriate set of the PW attributes.
> 
> > With the entire group of comments marked as "held for document
> update"
> > rather than as "approved",
> >
> Telecom. If you have received this transmission in error, please inform us by
> e-mail, phone or fax, and then delete the original and all copies thereof.
>

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 9 May 2012 13:15:02 +0000

Stewart,

Yes, it is perhaps even tautological to state that it is either one or the other.

However, the text further states that if the tag is inserted by the CE
then the tag is not service delimiting.

This is demonstrably a significant restriction.

Y(J)S

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 9 May 2012 13:33:54 +0000

Sasha, 

Unfortunately, IMO 5603 is not clear, and is possibly not comprehensive.

5603 defines 3 cases (and states that all others are out of scope),
that I understand as follows :

1) port mode - i.e. All-to-one bundling

2) single VLAN - i.e., look at the first VLAN, and then perform one-to-one bundling 
   2.a with tag preservation
   2.b with VLAN swap 
   2.c VLAN removal and the PW label identifying the EVC
   2.d with untagged frames passed without modification
   2.e with untagged frames passed after inserting PVID
   2.f with S-tag insertion

3) Q-in-Q 
   3.a one-to-one with outer VLAN tag used as in 2 above (in fact, I think this is precisely case 2!)
   3.b one-to-one with both VLAN tags used and the outer tag removed.

My understanding that all the cases in 2 and 3 are one-to-one 
and not "arbitrary bundling" may be incorrect.
I base this understanding on the settings, but perhaps these are just examples.

Y(J)S

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 9 May 2012 13:48:55 +0000

Yaakov,
Lots of thanks for a prompt response (somewhat delayed by my persistent errors in the references:-).

After looking up again 5603 I tend to agree with you that some of the MEF scenarios are not covered. E.g., the situation when multiple (but not all) 802.1q tags are mapped to the same PW. IMHO it is also not covered by 4447 - there is no way to assure via signaling that the same set of VLANs is mapped to a given single PW at two endpoints of a tagged Ethernet PW.

Maybe we should start from explicitly listing various MEF scenarios, mapping some of them to the Ethernet PW parameters (both local and signaled) and coming up first with a list of gaps and then with solutions that would bridge these gaps. 

I am not sure if there is sufficient interest in this kind of work in the community; were it otherwise, SPs would be crying out loud for these solutions. Or do I miss something?

Regards,
     Sasha

> Sent: Wednesday, May 09, 2012 4:34 PM

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 09 May 2012 15:29:07 +0100

This sounds like it needs a short RFC explaining the issue and
if necessary updating RFC4447

Stewart

---

From: Raymond Key <[email-masked]>
Date: Sat, 12 May 2012 13:36:48 +1030

Agree with Stewart.  It would be good to have a draft clearly documenting the gaps and current practices operators use to overcome the challenges.  This will provide a base for solid discussion on whether protocol extensions are required.
When I worked for operators before, I have been working on MEF services over MPLS.  I remember we could do service bundling without considering extension to PWE3 standards.
 
Raymond Key 
> Date: Wed, 9 May 2012 15:29:07 +0100
> From: [email-masked]
> To: [email-masked]
> CC: [email-masked]; [email-masked]